Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
flags
/
{flagKey}
curl -X PATCH https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags/new-checkout \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "archived": true }'
{
  "id": "flag_01hx...",
  "key": "new-checkout",
  "name": "New Checkout Flow",
  "type": "boolean",
  "clientSafe": false,
  "archivedAt": "2024-05-01T10:00:00.000Z",
  "createdAt": "2024-04-01T09:00:00.000Z"
}

Path parameters

projectId
string
required
flagKey
string
required
The flag’s key, not its id.

Body

All fields are optional. The flag key is immutable — it cannot be changed after creation.
name
string
New display name.
description
string
New description.
clientSafe
boolean
Toggle browser SDK visibility.
archived
boolean
Pass true to archive the flag (sets archivedAt to now). Pass false to unarchive.
curl -X PATCH https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags/new-checkout \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "archived": true }'
{
  "id": "flag_01hx...",
  "key": "new-checkout",
  "name": "New Checkout Flow",
  "type": "boolean",
  "clientSafe": false,
  "archivedAt": "2024-05-01T10:00:00.000Z",
  "createdAt": "2024-04-01T09:00:00.000Z"
}